This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 839789 - FSResizeError: ('resize failed: 1', '/dev/sda2')
FSResizeError: ('resize failed: 1', '/dev/sda2')
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:56945011c159592b3ade2037f04...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 16:34 EDT by Ronak Mallik
Modified: 2016-01-31 21:58 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 18:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-dzpEqb (1.78 MB, text/plain)
2012-07-12 16:34 EDT, Ronak Mallik
no flags Details

  None (edit)
Description Ronak Mallik 2012-07-12 16:34:37 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-dzpEqb
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Thu 12 Jul 2012 04:29:10 PM EDT
version:        17

anaconda-tb-dzpEqb: Binary file, 1863486 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 481, in doResize
:    raise FSResizeError("resize failed: %s" % ret.rc, self.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 552, in execute
:    self.device.format.doResize(intf=intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 320, in processActions
:    action.execute(intf=self.intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 375, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 122, in turnOnFilesystems
:    anaconda.storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:FSResizeError: ('resize failed: 1', '/dev/sda2')

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.VMbNqw
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=America/New_York
:XAUTHORITY=/root/.xauth4kIUu4
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=true
:_=/sbin/anaconda
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1237-0-localhost.localdomain_TIME0
Comment 1 Ronak Mallik 2012-07-12 16:34:43 EDT
Created attachment 597901 [details]
File: anaconda-tb-dzpEqb
Comment 2 Jesse Keating 2012-07-12 18:23:09 EDT
The NTFS filesystem on /dev/sda2 is corrupt, as seen in the program.log section of the attachment.

An argument could be made for catching this more gracefully, but the reality is we can't deal with a corrupted filesystem.
Comment 3 Vratislav Podzimek 2012-07-13 09:17:56 EDT
Just a note:
I believe this happens in case of hibernation when the NTFS partition is not unmounted.

Note You need to log in before you can comment on or make changes to this bug.